package qh.lqg.utils;

import java.text.SimpleDateFormat;

public class TimeHelper {
	/**
	 * getTime:(获得给定的long类型时间转换为format). <br/>
	 *
	 * @author liuyuqi
	 * @param time
	 * @return
	 * @since JDK 1.7
	 */
	public static String getTime(long time) {

		String result = "";

		// millis表示当前系统时间，单位是：毫秒
		long millis = System.currentTimeMillis();

		int day = (int) (millis / 1000 / 3600 / 24 - time / 3600 / 24);

		switch (day) {
		case 0:
			SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
			result = sdf.format(time * 1000);
			break;
		case 1:
			SimpleDateFormat sdf2 = new SimpleDateFormat("HH:mm");
			result = "昨天 " + sdf2.format(time * 1000);
			break;
		case 2:
			SimpleDateFormat sdf3 = new SimpleDateFormat("HH:mm");
			result = "前天 " + sdf3.format(time * 1000);
			break;
		default:
			SimpleDateFormat sdf4 = new SimpleDateFormat("yyyy/MM/dd HH:mm");
			result = sdf4.format(time * 1000);
			break;
		}

		return result;
	}

	public static String getTimeDiff(long startTime, long endTime) {
		long l = endTime - startTime;
		long day = l / (24 * 60 * 60 * 1000);
		long hour = (l / (60 * 60 * 1000) - day * 24);
		long min = ((l / (60 * 1000)) - day * 24 * 60 - hour * 60);
		long s = (l / 1000 - day * 24 * 60 * 60 - hour * 60 * 60 - min * 60);
		return "" + day + "天" + hour + "小时" + min + "分" + s + "秒";
	}
}
